##
##  @l_prefix@/etc/bind/named.conf -- BIND configuration
##

controls {
    inet 127.0.0.1 port 953
         allow { 127.0.0.1;  }
         keys  { "rndc-key"; };
};

include "@l_prefix@/etc/bind/rndc.key";

logging {
    channel logfile {
        file "@l_prefix@/var/bind/named.log";
        severity info;
        print-category yes;
        print-severity no;
        print-time yes;
    };
    category "default"         { "logfile"; };
    category "general"         { "logfile"; };
    category "security"        { "logfile"; };
    category "config"          { "logfile"; };
    category "queries"         { "logfile"; };
    category "update"          { "logfile"; };
    category "notify"          { "logfile"; };
    category "database"        { "logfile"; };
    category "dnssec"          { "logfile"; };
    category "resolver"        { "logfile"; };
    category "xfer-in"         { "logfile"; };
    category "xfer-out"        { "logfile"; };
    category "dispatch"        { "logfile"; };
    category "lame-servers"    { "logfile"; };
    category "delegation-only" { "logfile"; };
};

options {
    pid-file             "@l_prefix@/var/bind/named.pid";
    directory            "@l_prefix@/etc/bind/named.db";
    statistics-file      "@l_prefix@/var/bind/named.stats";
    allow-query          { any; };
    allow-transfer       { any; };
    transfers-in         10;
    transfers-per-ns     2;
    max-transfer-time-in 120;
    transfer-format      one-answer;
    cleaning-interval    60;
    interface-interval   60;
    listen-on            port 53 { 127.0.0.1; };
    #query-source        address 127.0.0.1 port *;
    #transfer-source     127.0.0.1;
    #notify-source       127.0.0.1;
};

zone "." IN {
    type hint;
    file "db.root";
};

zone "localhost" IN {
    type           master;
    file           "db.localhost";
    notify         no;
    allow-update   { none; };
    allow-transfer { any;  };
};

zone "0.0.127.in-addr.arpa" IN {
    type           master;
    file           "db.localhost.ipv4";
    notify         no;
    allow-update   { none; };
    allow-transfer { any;  };
};

zone "1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa" {
    type           master;
    file           "db.localhost.ipv6";
    notify         no;
    allow-update   { none; };
    allow-transfer { any;  };
};

